package com.bonus.canteen.core.supply.purchase.constants;

public enum DrpPurchasePlanPriceSourceEnum {
   LSAT_PRU_PRICE(1, "上次采购价格"),
   FARMERS_PRICE(2, "农贸市场价格");

   private final Integer key;
   private final String value;

   private DrpPurchasePlanPriceSourceEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      DrpPurchasePlanPriceSourceEnum[] enums = values();
      DrpPurchasePlanPriceSourceEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpPurchasePlanPriceSourceEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      DrpPurchasePlanPriceSourceEnum[] enums = values();
      DrpPurchasePlanPriceSourceEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpPurchasePlanPriceSourceEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }
}
